Subject: Restoration Ecology

From: [email-masked] (DbbKates)
Date: 7 Jun 1995 15:56:23 -0400

I am a botanist with a hobby interest, and possible future research
interest in the field of ecosystem vegetation restoration.  If you share
the want to learn plant communities or if you have any questions for me
then write.